%define name python-twisted-news
%define version 10.2.0
%define rel 1
%define mainver %(echo %{version} | sed -e 's/\\([0-9]*\\.[0-9]*\\)\\.[0-9]*/\\1/')

Summary:        An NNTP protocol implementation together with clients and servers
Name:           %{name}
Version:	%{version}
Release:	%mkrel %{rel}
Source0:        http://tmrc.mit.edu/mirror/twisted/News/%{mainver}/TwistedNews-%{version}.tar.bz2
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/trac/wiki/TwistedNews
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel python-twisted-core
Requires:       python-twisted-core

%description
Twisted News provides a very basic NNTP server, as well as an NNTP client
protocol implementation. Two messages storage systems are supported: the
DB-API 2.0 backend stores and indexes messages in any compatible SQL
database; the Twisted dirdbm backend uses serialized Python objects
stored directly on the filesystem for message storage. Twisted News
also has very rudamentary support for moderated groups.

%prep
%setup -q -n TwistedNews-%{version}

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --install-purelib=%{py_platsitedir}

%clean
%__rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc  LICENSE README
%dir %py_platsitedir/twisted/news/
%py_platsitedir/twisted/news/*
%py_platsitedir/twisted/plugins/*
%py_platsitedir/*.egg-info


%changelog
* Mon Feb 21 2011 ahmad <ahmad> 10.2.0-1.mga1
+ Revision: 55787
- update to 10.2.0

* Sun Jan 23 2011 ennael <ennael> 10.1.0-2.mga1
+ Revision: 34740
- imported package python-twisted-news


* Tue Nov 02 2010 Crispin Boylan <crisb@mandriva.org> 10.1.0-2mdv2011.0
+ Revision: 592091
- Rebuild

* Tue Jul 20 2010 Lev Givon <lev@mandriva.org> 10.1.0-1mdv2011.0
+ Revision: 555037
- Update to 10.1.0.

* Thu Mar 04 2010 Lev Givon <lev@mandriva.org> 10.0.0-1mdv2010.1
+ Revision: 514225
- Update to 10.0.0.

  + Frederik Himpe <fhimpe@mandriva.org>
    - Update to new version 9.0.0

* Sat Jan 03 2009 Jérôme Soyer <saispo@mandriva.org> 8.2.0-1mdv2009.1
+ Revision: 323856
- New upstream release

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 8.1.0-21mdv2009.1
+ Revision: 318664
- rebuild for python 2.6

* Sat Jun 14 2008 Michael Scherer <misc@mandriva.org> 8.1.0-1mdv2009.0
+ Revision: 219072
-update to new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 Crispin Boylan <crisb@mandriva.org> 0.3.0-1mdv2008.0
+ Revision: 77002
- Add new egginfo file
- New version


* Tue May 30 2006 Michael Scherer <misc@mandriva.org> 0.2.0-1mdv2007.0
- 0.2.0

* Wed Jan 25 2006 Michael Scherer <misc@mandriva.org> 0.1.0-2mdk
- make it arch dependant, use macro

* Sat Sep 24 2005 Michael Scherer <misc@mandriva.org> 0.1.0-1mdk
- Initial package ( forget to upload 4 months ago )

